Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request DELETE \ --url https://wksusa1b2c3d.provisionr.app/api/v1/policy/roles/{role} \ --header 'Authorization: Bearer <token>'
$headers=@{} $headers.Add("Authorization", "Bearer <token>") $response = Invoke-WebRequest -Uri 'https://wksusa1b2c3d.provisionr.app/api/v1/policy/roles/{role}' -Method DELETE -Headers $headers
import requests url = "https://wksusa1b2c3d.provisionr.app/api/v1/policy/roles/{role}" headers = {"Authorization": "Bearer <token>"} response = requests.delete(url, headers=headers) print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}}; fetch('https://wksusa1b2c3d.provisionr.app/api/v1/policy/roles/{role}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "message": "<string>" }
Soft delete a policy role. System-defined roles cannot be deactivated.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Policy Role ID
No content
Was this page helpful?